cURL
curl --request PATCH \ --url https://api-fundflow-qa.venly.io/v1/company-bank-accounts/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "version": 123, "name": "<string>" } '
{ "success": true, "result": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "bankName": "<string>", "companyName": "<string>", "email": "<string>", "phoneNumber": "<string>", "bankCountry": "<string>", "beneficiaryAddressLine1": "<string>", "beneficiaryAddressLine2": "<string>", "beneficiaryCity": "<string>", "beneficiaryState": "<string>", "beneficiaryPostalCode": "<string>", "beneficiaryCountry": "<string>", "bankAccountType": "EUR_SEPA", "supportedRampType": "ON_RAMP", "verificationStatus": "PENDING", "verifiedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "version": 123, "iban": "<string>", "bic": "<string>", "intermediaryBic": "<string>" } }
Updates the name of a company bank account. Uses optimistic locking to prevent concurrent updates.
OAuth2 authentication via Venly Identity Platform
Unique identifier of the company bank account
Request to update the display name of an existing company bank account
Version number for optimistic locking
Updated display name for the bank account
Company bank account successfully updated
Base company bank account schema
Show child attributes